# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kinbox"
version = "0.1.3"
authors = ["404558965@qq.com"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple kafka inbox"
documentation = "https://docs.rs/kinbox"
readme = false
license = "MIT"

[lib]
name = "kinbox"
path = "src/lib.rs"

[[example]]
name = "create"
path = "examples/create.rs"

[[example]]
name = "read"
path = "examples/read.rs"

[[example]]
name = "write"
path = "examples/write.rs"

[dependencies.rdkafka]
version = "0.38"
features = ["cmake-build"]

[dev-dependencies.tokio]
version = "1.44.0"
features = ["full"]
